Name:		newt
Version: 	0.52.21
Release: 	3
Summary: 	A library for text mode user interfaces
License: 	LGPLv2
URL: 		https://pagure.io/newt
Source: 	https://pagure.io/releases/newt/newt-%{version}.tar.gz

BuildRequires: 	gcc popt-devel python3-devel slang-devel
BuildRequires: 	python2-devel docbook-utils lynx

Provides: 	snack = %{version}-%{release}
Obsoletes: 	%{name}-static

%description
Newt is a programming library for color text-mode, widget-based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars, etc.,
to text mode user interfaces.

This package also contains a Dialog replacement called whiptail. Newt
is based on the slang library.

%package 	devel
Summary: 	Development files for %{name}
Requires: 	slang-devel %{name}%{?_isa} = %{version}-%{release}

%description    devel
The devel for %{name}. Install %{name}-devel can help you develop
applications.

%package     -n python2-newt
%{?python_provide:%python_provide python2-newt}
Provides:       %{name}-python = %{version}-%{release}
Provides: 	%{name}-python%{?_isa} = %{version}-%{release}
Obsoletes: 	%{name}-python < %{version}-%{release}
Summary: 	Python 2 bindings for %{name}
Requires: 	%{name}%{?_isa} = %{version}-%{release}

%description -n python2-newt
The python2-%{name} package contains the Python 2 bindings for the %{name} library
providing a python API for creating text mode interfaces.

%package     -n python3-newt
%{?python_provide:%python_provide python3-newt}
Provides:       %{name}-python3 = %{version}-%{release}
Provides: 	%{name}-python3%{?_isa} = %{version}-%{release}
Obsoletes: 	%{name}-python3 < %{version}-%{release}
Summary: 	Python 3 bindings for %{name}
Requires: 	%{name}%{?_isa} = %{version}-%{release}

%description -n python3-newt
The python3-%{name} package contains the Python 3 bindings for the %{name} library
providing a python API for creating text mode interfaces.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --without-tcl
%make_build all

%install
%make_install
chmod 0755 peanuts.py popcorn.py
docbook2txt tutorial.sgml


%check
make test

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS README
%license COPYING
%{_bindir}/*
%{_datadir}/locale
%{_libdir}/libnewt.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/newt*
%{_libdir}/libnewt.so
%{_libdir}/libnewt.a
%{_libdir}/pkgconfig/*

%files -n python2-newt
%defattr(-,root,root)
%doc peanuts.py popcorn.py
%{python2_sitearch}/*

%files -n python3-newt
%defattr(-,root,root)
%doc peanuts.py popcorn.py
%{python3_sitearch}/*.*
%{python3_sitearch}/__pycache__/*.py*

%files help
%defattr(-,root,root)
%doc tutorial.* CHANGES
%{_mandir}/man1/whiptail.1*

%changelog
* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.52.21-3
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Tue Sep 24 2019 wangli <wangli221@huawei.com> - 0.52.21-2
- Type:Enhance
- ID:NA
- SUG:NA
- DESC: openEuler Debranding

* Wed Sep 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.52.21-1
- Package init
